<template>
  <div>
    <div class="subtitle-2"><b>Formato</b><span class="tRojo">*</span></div>
    <v-autocomplete
      v-model="data.value"
      :items="formatos"
      item-text="descripcion"
      item-value="idFormato"
      label="Selecciona un formato"
      single-line
      return-object
      @change="callback()"
    >
    </v-autocomplete>
  </div>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
const formatoProvicional = [
  {
    descripcion: "Operativa",
    idNegocio: 1,
    nombreNegocio: "ELEKTRA",
    idFormato: 1,
  },
  {
    descripcion: "Retail",
    idNegocio: 1,
    nombreNegocio: "ELEKTRA",
    idFormato: 2,
  },
  {
    descripcion: "Operativa",
    idNegocio: 2,
    nombreNegocio: "BANCO",
    idFormato: 3,
  },
  {
    descripcion: "Retail Stand Alone",
    idNegocio: 2,
    nombreNegocio: "BANCO",
    idFormato: 4,
  },
  {
    descripcion: "Gerencia",
    idNegocio: 3,
    nombreNegocio: "OFICINA CREDITO y COBRANZA",
    idFormato: 5,
  },
  {
    descripcion: "Cuartel General",
    idNegocio: 3,
    nombreNegocio: "OFICINA CREDITO y COBRANZA",
    idFormato: 6,
  },
  {
    descripcion: "Operativa",
    idNegocio: 4,
    nombreNegocio: "PRESTA PRENDA",
    idFormato: 7,
  },
  {
    descripcion: "Premium",
    idNegocio: 4,
    nombreNegocio: "PRESTA PRENDA",
    idFormato: 8,
  },
  {
    descripcion: "Agencia Jr",
    idNegocio: 5,
    nombreNegocio: "ITALIKA",
    idFormato: 9,
  },
  {
    descripcion: "Agencia Sr",
    idNegocio: 5,
    nombreNegocio: "ITALIKA",
    idFormato: 10,
  },
];
export default {
  name: "Component-Lista-Formato",
  props: {
    value: Object,
    callback: { type: Function },
  },
  computed: {
    data: {
      get() {
        return this.value.dataFormato;
      },
      set(value) {
        this.$emit("input", value);
      },
    },
  },
  data() {
    return {
      formatos: [],
    };
  },
  methods: {
    borrarListaFormato() {
      this.formatos = [];
    },
    getFormatos() {
      this.formatos = formatoProvicional.filter(
        (item) => item.idNegocio == this.value.dataUnidadNegocio.value.idNegocio
      );
    },
    getFormatosRespaldo() {
      var self = this;
      axios("/documento-sucursal/formato/v1/")
        .then((response) => {
          let data = response.data;
          if (data) {
            self.formatos = data.resultado.formatos;
          }
        })
        .catch((error) => {
          if (error.response) {
            console.log(error.response.data);
          }
        });
    },
  },
  created() {},
};
</script>
